<?php
namespace Claromentis\Core\Component;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("t" . "i" . "t" . "l" . "e" => base64_decode("dG" . "l0" . "bG" . "U="), "_4d707fab93bebb00bbe69e8159697c9" . "0" => base64_decode(""), "_9d563921fc01094b4" . "d118c5bf2187d4b" => base64_decode("Y2xhX2" . "h0bWxz" . "YWZl"), "_32710812e9f3c730de6579937e57" . "1ec3" => base64_decode("PC9" . "kaX" . "Y+"), "_daabcaef5d13" . "ad11434c594d4" . "5e1fc0e" => base64_decode("RXJyb3IgbWVz" . "c2FnZQ=="), "_5e5ff29e5570db7c92f6a3fb65" . "526022" => base64_decode("PGRpdiBjbGFzcz0" . "iYWxlcnQgYWxlcn" . "QtZGFuZ2VyIiByb" . "2xlPSJhbGVydCI+"));
use Claromentis\Core\Application;
use Claromentis\Core\Component\Exception\ComponentException;






class MessageComponent implements ComponentInterface
{
    protected string $header;
    protected string $body;
    protected ?ComponentInterface $parent;
    public function __construct(string $_c8e54c9b73e8f8de2a97a9c3a1daf1c3, string $_f50e845669e7cd06bbc643eeb57aa01d, ComponentInterface $_bc1b84b0f9f841f8b734489a4a3783ad = null)
    {
        $this->header = $_c8e54c9b73e8f8de2a97a9c3a1daf1c3;
        $this->body = $_f50e845669e7cd06bbc643eeb57aa01d;
        $this->parent = $_bc1b84b0f9f841f8b734489a4a3783ad;
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function GetOptions()
    {
        if (null !== $this->parent) {
            return $this->parent->GetOptions();
        }
        return [];
    }
    
    
    
    
    
    
    
    
    
    
    
    public function ShowBody($id_string, OptionsInterface $options, Application $app)
    {
        $_f50e845669e7cd06bbc643eeb57aa01d = $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_9d563921fc01094b" . "4d118c5bf2187d4b"]($this->body);
        return $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_5e5ff29e5570db7c92f6a3" . "fb65526022"] . $_f50e845669e7cd06bbc643eeb57aa01d . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_32710812e9f3c7" . "30de6579937e571" . "ec3"];
    }
    
    
    
    
    
    
    
    
    
    
    
    
    public function ShowHeader($id_string, OptionsInterface $options, Application $app)
    {
        return $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_9d563921f" . "c01094b4d1" . "18c5bf2187" . "d4b"]($this->header);
    }
    
    
    
    
    
    
    
    
    public function GetSizeConstraints()
    {
        if (null !== $this->parent) {
            return $this->parent->GetSizeConstraints();
        }
        return [];
    }
    
    
    
    
    
    
    
    
    
    
    
    public function GetCssClass()
    {
        if (null !== $this->parent) {
            return $this->parent->GetCssClass();
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_4d707fab93bebb00bbe" . "69e8159697c90"];
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function GetCoverInfo()
    {
        if (null !== $this->parent) {
            return $this->parent->GetOptions();
        }
        return [$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["ti" . "tl" . "e"] => $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_daabcaef5d1" . "3ad11434c594" . "d45e1fc0e"]];
    }
}